Bug 267852 - IllegalArgumentException: fileObject == null
IllegalArgumentException: fileObject == null
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
8.1
All All
: P3 (vote)
: 8.2
Assigned To: Martin Entlicher
issues@debugger
EXCEPTIONS_REPORT, 82patch1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-03 22:03 UTC by brucekhaddon
Modified: 2016-12-16 10:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.54 KB, text/plain)
2016-09-03 22:04 UTC, brucekhaddon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description brucekhaddon 2016-09-03 22:03:59 UTC
Build: NetBeans IDE 8.1 (Build 201510222201)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.102-b14, Java(TM) SE Runtime Environment, 1.8.0_102-b14
OS: Windows 10

User Comments:
BruceKHaddon: Sorry, no idea.

GUEST: w




Stacktrace: 
java.lang.IllegalArgumentException: fileObject == null
   at org.netbeans.api.java.source.JavaSource.forFileObject(JavaSource.java:234)
   at org.netbeans.modules.debugger.jpda.projects.PreferredCCParser.getImports(PreferredCCParser.java:346)
   at org.netbeans.modules.debugger.jpda.projects.EditorContextSupport.getImports(EditorContextSupport.java:1432)
   at org.netbeans.modules.debugger.jpda.projectsui.EditorContextImpl.getImports(EditorContextImpl.java:820)
   at org.netbeans.modules.debugger.jpda.JavaEvaluator.evaluateIn(JavaEvaluator.java:139)
   at org.netbeans.modules.debugger.jpda.JavaEvaluator.evaluate(JavaEvaluator.java:107)
Comment 1 brucekhaddon 2016-09-03 22:04:01 UTC
Created attachment 161889 [details]
stacktrace
Comment 2 Martin Entlicher 2016-09-27 16:17:39 UTC
Fixed by changeset:   300898:9df997191fc8
http://hg.netbeans.org/core-main/rev/9df997191fc8
Comment 3 Quality Engineering 2016-09-29 01:52:52 UTC
Integrated into 'main-silver', will be available in build *201609290002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/9df997191fc8
User: mentlicher@netbeans.org
Log: #267852: Prevent from the NPE when the FileObject is not found.
Comment 4 Martin Entlicher 2016-12-09 10:19:06 UTC
Transplanted to release82:
http://hg.netbeans.org/releases/rev/fe9e780b7532
Comment 5 Jiri Kovalsky 2016-12-16 10:09:22 UTC
brucekhaddon, can you please help us with verification of this issue? Thanks!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo